## Function pbkdf2_hmac_sha1

zeep::pbkdf2_hmac_sha1 — create password hash according to PBKDF2 with HmacSHA1

## Synopsis

    // In header: <zeep/crypto.hpp>

     ( salt,  password,
                                  iterations,  keyLength);

## Description

This algorithm can be used to create keys for symmetric encryption. But you can also use it to store hashed passwords for user authentication.

Parameters:

`iterations` | number of iterations, use a value of at least 30000
`keyLength` | the requested key length that will be returned
`password` | the password
`salt` | the salt to use